#ifndef _H_QMATH_MATHML
#define _H_QMATH_MATHML

// STL
#include <string>
#include <list>

#include "../QMATH_types.H"
#include "../QMATH_Expression.H"

typedef struct
{
  char* arg_operator;
  char* output_begin;
  char* output_separator;
  char* output_end;
} format_table_entry;

class QMATH_Processor
{
private:
  int inside_math;
public:
  void Begin_math(void);
  void End_math(void);
  void Evaluate (list<string> &accumulator, string &result);
};


#endif
