#ifndef _H_QMATH_EVALUATOR_LOADER
#define _H_QMATH_EVALUATOR_LOADER

// STL
#include <list>
#include <string>

#include "QMATH_types.H"
#include "QMATH_Evaluator.H"

class QMATH_Evaluator_loader
{
public:
  QMATH_Evaluator_loader();
  void Get_evaluator_entry(list<evaluator_table_entry>::iterator &evaluator_iterator, c_string evaluator_class);
private:
  list<evaluator_table_entry> evaluator_table;
  list<evaluator_table_entry>::iterator evaluator_table_iterator;
  void Print_evaluator_table (c_string func_name);
};

#endif
